; ================================================================================================
; Konverter von tpm2-Protokoll auf WS2801/WS2811/TM1804
; Benutzerdefinierte Einstellungen
; ================================================================================================

.equ USB_BAUD			= 1				; Baudrate USB-Empfnger (0 = 250k, 1 = 500k, 2 = 1,25M)

.equ DATA_FRAMESIZE_MAX	= 3072			; Maximale Gre tpm2-Datenframe (fest lassen!)

.equ PIX_COUNT			= 1024			; WS2801-Pixel-Anzahl (logische Pixel, max. 1024)
.equ PIX_PORT 			= PortC			; Ausgabeport WS2801/TM1804-Daten
.equ PIX_DDR 			= DDRC			; DDR WS2801/TM1804-Daten
.equ PIX_SDO			= 0				; Ausgabepin WS2801/TM1804 Data
.equ PIX_SCO			= 1				; Ausgabepin WS2801 Clock

.equ RGB_ORDER			= 0				; Farbreihenfolge WS2801-Pixel:
										; 0 = nicht tauschen
										; 1 = tauschen RGB -> GRB
										; 2 = tauschen RGB -> RBG
										; 3 = tauschen RGB -> BGR
										; 4 = tauschen RGB -> BRG
										; 5 = tauschen RGB -> GBR

.equ START_R			= 0				; Startfarbe Rot
.equ START_G			= 0				; Startfarbe Grn
.equ START_B			= 100			; Startfarbe Blau

.equ SA_R				= 100			; Standalonefarbe Rot
.equ SA_G				= 0				; Standalonefarbe Grn
.equ SA_B				= 0				; Standalonefarbe Blau

; ================================================================================================
