; ================================================================================================
; Konverter von tpm2-Protokoll auf WS2801/WS2811/TM1804
; Standalone-Programm
; ================================================================================================

_Standalone:

		ldi		YH, high(PIX_OUTBUFFER)			; Zeiger auf Position Daten im RAM
		ldi		YL, low(PIX_OUTBUFFER)

		ldi		XL, low(PIX_COUNT)				; Zahl der angesteuerten Pixel in X-Register
		ldi		XH, high(PIX_COUNT)

_Standalone_loop:

		ldi		temp0, SA_R						; Standalone Rot setzen
		st		Y+, temp0
		ldi		temp0, SA_G						; Standalone Grn setzen
		st		Y+, temp0
		ldi		temp0, SA_B						; Standalone Blau setzen
		st		Y+, temp0

		sbiw	XH:XL, 1						; Pixel zhlen
		brne	_Standalone_loop				; Noch nicht durch, zum nchsten
		
		ldi		temp0, low(PIX_COUNT*3)			; Alle Pixel ausgeben
		sts		RX_FRAMESIZE_L, temp0
		ldi		temp0, high(PIX_COUNT*3)
		sts		RX_FRAMESIZE_H, temp0

		rcall	_data_shiftout					; Daten ausgeben

		rcall	_wait_1ms						; warten fr bernahme

		ret

; ================================================================================================

