; ================================================================================================
; Konverter von tpm2-Protokoll auf WS2801/WS2811/TM1804
; Interrupt-Vektor-Tabelle
; ================================================================================================

; ================================================================================================
; Interrupt-Vektor-Tabelle Mega644p
; ------------------------------------------------------------------------------------------------

.org 0x0000 	jmp		 _reset  						; Reset
.org 0x0002 	reti  									; IRQ0
.org 0x0004 	reti  									; IRQ1
.org 0x0006 	reti  									; IRQ2
.org 0x0008 	reti  									; PCINT0
.org 0x000A 	reti  									; PCINT1
.org 0x000C 	reti  									; PCINT2
.org 0x000E 	reti  									; PCINT3
.org 0x0010 	reti  									; Watchdog Timeout
.org 0x0012 	reti  									; Timer2 CompareA
.org 0x0014 	reti  									; Timer2 CompareB
.org 0x0016 	reti  									; Timer2 Overflow
.org 0x0018 	reti  									; Timer1 Capture
.org 0x001A 	reti  									; Timer1 CompareA
.org 0x001C 	reti  									; Timer1 CompareB
.org 0x001E 	reti  									; Timer1 Overflow
.org 0x0020 	reti  									; Timer0 CompareA
.org 0x0022 	reti  									; Timer0 CompareB
.org 0x0024 	jmp		_Timer0OVF  					; Timer0 Overflow
.org 0x0026 	reti  									; SPI Transfer Complete
.org 0x0028 	jmp		_ISR_Byte_Received_USB	 		; USART0 RX Complete
.org 0x002A 	reti  									; USART0,UDR Empty
.org 0x002C 	reti  									; USART0 TX Complete
.org 0x002E 	reti  									; Analog Comparator
.org 0x0030 	reti  									; ADC Conversion Complete
.org 0x0032 	reti  									; EEPROM Ready
.org 0x0034 	reti  									; 2-wire Serial
.org 0x0036 	reti  									; SPM Ready
.org 0x0038 	reti						  			; USART1 RX Complete
.org 0x003A 	reti  									; USART1,UDR Empty
.org 0x003C 	reti  									; USART1 TX Complete

; ================================================================================================


