; ================================================================================================
; Konverter von tpm2-Protokoll auf WS2801/WS2811/TM1804
; Timer0-ISR fr Receiver-Timeout etc.
; ================================================================================================

_Timer0OVF:

		in		SREG_Save, SREG					; Statusregister sichern

; ------------------------------------------------------------------------------------------------
; Timeout-Zhler fr Reset Empfangsroutine
; ------------------------------------------------------------------------------------------------

		tst		rx_timeout						; Receiver-Timeout bereits erreicht..?
		breq	_Timer0OVF_Ende					; ja, Ende

		dec		rx_timeout						; nein, weiter runter
		brne	_Timer0OVF_Ende					; noch nicht 0, weiter

		clr		rx_state						; Timeout erreicht, Receiver Reset

		ldi		itemp0, 0xE0					; Timeout-Meldung senden
		sts		UDR0, itemp0
		
		cbi		SEDU_PORT, S_LED				; Status-LED an

		sbr		Flags, (1<<FL_STANDALONE)		; Flag setzen fr Standalone-Modus

_Timer0OVF_Ende:

		out		SREG, SREG_Save					; Statusregister wiederherstellen

		reti									; und zurck

; ================================================================================================
